### Method

# Ide LspCompletionItem get_snippet

#### Declaration

    IdeSnippet*
    ide_lsp_completion_item_get_snippet (
      IdeLspCompletionItem* self
    )

#### Description

Creates a new snippet for the completion item to be inserted into the document.

Available since: | 3.30

#### Return value

Returns: | `IdeSnippet`
| An `IdeSnippet`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.